<div #miamCatalogTopAnchor class="miam-catalog-anchor"></div>
<div *ngIf="!creatingRecipe else creationPage" class="miam-recipe-catalog" (window:scroll)="displayReturnTopButton()">
  <ng-miam-recipe-filters
    [filters]="filters"
    (filterReset)="resetFilters()"
    (filterChanged)="updateFilters($event)"
    (filterCollapsed)="onFilterCollapsed()">
  </ng-miam-recipe-filters>

  <div class="miam-recipe-catalog__content" [ngClass]="{'filter-collapsed': isFilterCollapsed}">
    <ng-miam-catalog-header 
      [displayReturnButton]="!displayHomePage"
      [forcedRecipe]="recipeInHeader"
      [title]="displayHomePage ? homePageTitle : 
        (filters.additionalFilters && filters.additionalFilters.title !== '' ? filters.additionalFilters.title : titleInResearchMode)"
      (returnButtonPressed)="returnToHomePage()"
      (searchStringChanged)="updateSearch($event)">
    </ng-miam-catalog-header>

    <div *ngIf="!displayHomePage else categoriesComponents" class="miam-recipe-catalog__list">
      <ng-miam-catalog-list
        [filters]="filters"
        (retrievedRecipes)="changeHeaderImage($event)"
        (filterRemoved)="removeFilter($event)"
        (recipeActionTriggered)="manageRecipeAction($event)">
      </ng-miam-catalog-list>
    </div>

    <ng-template #categoriesComponents>
      <div *ngIf="categories.length > 0" class="miam-recipe-catalog__categories">
        <ng-miam-catalog-category 
          *ngFor="let category of categories" 
          [title]="category.title"
          [filters]="category.filters" 
          (displayList)="categoryTitleClicked($event)">
        </ng-miam-catalog-category>
      </div>
    </ng-template>

    <div *ngIf="returnTopButtonShouldBeDisplayed" class="miam-recipe-catalog__returnTop" (click)="returnToTop()">
      <ng-miam-icon height='32' width='32' primaryColor="var(--m-color-white)" [iconName]="icon.ChevronDown"></ng-miam-icon>
    </div>
  </div>
</div>
<ng-template #creationPage>
  <ng-miam-recipe-stepper [recipe]="recipeToUpdate" (recipeChange)="leaveCreatePage()" (canceled)="leaveCreatePage()"></ng-miam-recipe-stepper>
</ng-template>